# Serialize Class Reference

Abstract class for data serialization. TODO: make it a Singelton! More...

List of all members.

## Public Member Functions
void | addModel (Serialize &s)
| Add a instance to the registry of serializable models.
void | addParameter (Serialize &s)
| Add a class instance to the registry of serializable class instances with parameters.
virtual int | save (std::string &identString)
| Abstract function for saving specific class instance parameters OR models!
int | saveALL (void)
| Save all models and parameters of the tracking system.
int | saveAllSystemModels (void)
| Save all models of the tracking system.
int | saveAllSystemParameters (void)
| Saves parameters of all registered classes in serializable format.
| Serialize ()
| Constructor.
int | writeAsXML (std::string baseName)
| Function to write serialized data to folder with seperate XML files.
virtual | ~Serialize ()
| Destructor.

## Detailed Description

Abstract class for data serialization. TODO: make it a Singelton!

Author:
  Claus Lenz, Thorsten R�der, Erwin Roth

## Constructor & Destructor Documentation

Serialize::Serialize | ( |  | ) | `[inline]`

Constructor.

virtual Serialize::~Serialize | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void Serialize::addModel | ( | Serialize & | s | ) | `[inline]`

Add a instance to the registry of serializable models.

void Serialize::addParameter | ( | Serialize & | s | ) | `[inline]`

Add a class instance to the registry of serializable class instances with parameters.

virtual int Serialize::save | ( | std::string & | identString | ) | `[inline, virtual]`

Abstract function for saving specific class instance parameters OR models!

Parameters:

  | identString | Returns the "proposed identifier string" for the parameter set/model to be used, e.g. as part of the XML filename

Returns:
  Status: 1 = OK; 0 = ERROR

int Serialize::saveALL | ( | void |  | ) | `[inline]`

Save all models and parameters of the tracking system.

Returns:
  Status: 1 = OK; 0 = ERROR

int Serialize::saveAllSystemModels | ( | void |  | ) | `[inline]`

Save all models of the tracking system.

Returns:
  Status: 1 = OK; 0 = ERROR

int Serialize::saveAllSystemParameters | ( | void |  | ) | `[inline]`

Saves parameters of all registered classes in serializable format.

Returns:
  Status: 1 = OK; 0 = ERROR

int Serialize::writeAsXML | ( | std::string | baseName | ) |

Function to write serialized data to folder with seperate XML files.

Parameters:

  | baseName | Folder name (or name of ZIP-file)